import SearchBar from './src/components/SearchBar/SearchBar.vue'
import BaseDialog from './src/components/BaseDialog/index.vue'
import Pagination from './src/components/Pagination/index.vue'
import BaseTable from './src/components/BaseTable/index.vue'
import InputArea from './src/components/BaseTable/subcomponents/InputArea.vue'
import MethodBtn from './src/components/BaseTable/subcomponents/MethodBtn.vue'

let ModuleObj = {
  SearchBar,
  BaseDialog,
  Pagination,
  BaseTable,
  InputArea,
  MethodBtn
}
let MyModule = {}
MyModule.install = (Vue) => {
  for (let i in ModuleObj) {
      Vue.component(i, ModuleObj[i])
  }
}

export default MyModule
